# Class NextAttributeComponent<T>

#### Type Parameters

- #### T extends AttributeData

#### Hierarchy

- BaseXmlComponent
  - NextAttributeComponent

- Defined in src/file/xml-components/default-attributes.ts:30

#####
Index

### Constructors

constructor

### Methods

prepForXml

## Constructors

### constructor

- new NextAttributeComponent<T>(root: AttributePayload<T>): NextAttributeComponent<T>

- #### Type Parameters

  - #### T extends AttributeData

  #### Parameters

  - ##### root: AttributePayload<T>

  #### Returns NextAttributeComponent<T>

  Overrides BaseXmlComponent.constructor

  - Defined in src/file/xml-components/default-attributes.ts:31

## Methods

### prepForXml

- prepForXml(_: IContext): IXmlableObject

- #### Parameters

  - ##### _: IContext

  #### Returns IXmlableObject

  Overrides BaseXmlComponent.prepForXml

  - Defined in src/file/xml-components/default-attributes.ts:35

Generated using TypeDoc